# Managing Instruments

An instrument object represents a customer's payment method — either a CLABE or a debit card. Storing instruments as objects lets you reuse them across multiple charges and filter charges by instrument. Instruments are always linked to a customer.

## Instrument Types

| Type | Description |
|  --- | --- |
| `mx_clabe` | An 18-digit CLABE bank account identifier |
| `mx_direct_debit_card` | A Mexican debit card number with an associated bank |


## Create an Instrument

### CLABE


```bash
curl -X POST https://directdebit.monato.com/instruments \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: YOUR_API_KEY' \
  --data '{
    "type": "mx_clabe",
    "customer_id": "f89c42d8-cd5d-4d51-bf2a-daa66b993d31",
    "mx_clabe": {
      "identifier": "012180015118333755"
    }
  }'
```

### Debit Card


```bash
curl -X POST https://directdebit.monato.com/instruments \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: YOUR_API_KEY' \
  --data '{
    "type": "mx_direct_debit_card",
    "customer_id": "f89c42d8-cd5d-4d51-bf2a-daa66b993d31",
    "mx_direct_debit_card": {
      "card_number": "012180015118333755",
      "bank": "mx_santander"
    }
  }'
```

See the [Institutions List](/products/directdebit/content/reference/institutions-list) for all valid `bank` values.

### Response


```json
{
  "id": "1208f1c1-71a9-4f44-95ac-4207d028a096",
  "org_id": "a0f63202-178c-40fd-8e5b-291c99251a38",
  "customer_id": "f89c42d8-cd5d-4d51-bf2a-daa66b993d31",
  "type": "mx_direct_debit_card",
  "status": "active",
  "mx_direct_debit_card": {
    "card_number": "012180015118333755",
    "bank": "mx_santander"
  },
  "mx_clabe": null,
  "currency": "mxn",
  "description": null,
  "ownership_verification_result": null,
  "ownership_verification_result_at": null,
  "created_at": "2025-09-29T19:49:08.119336Z",
  "updated_at": null
}
```

## Retrieve an Instrument


```bash
curl https://directdebit.monato.com/instruments/{instrument_id} \
  --header 'x-api-key: YOUR_API_KEY'
```

## List Instruments


```bash
curl https://directdebit.monato.com/instruments \
  --header 'x-api-key: YOUR_API_KEY'
```

You can filter instruments by customer:


```bash
curl 'https://directdebit.monato.com/instruments?customer_id=f89c42d8-cd5d-4d51-bf2a-daa66b993d31' \
  --header 'x-api-key: YOUR_API_KEY'
```